Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9397

Department:  Affected Products: ADTF 3.3.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

in einem anderen Post hat mir Florian Roth vorgeschlagen meine Properties wie folgt anzulegen:

RegisterPropertyVariable("Group/Prop1", m_prop1);

RegisterPropertyVariable("Group/Prop2", m_prop2);

 Leider werden in diesem Fall die Member m_prop1 und m_prop2 nicht aktualisiert. Ich habe gerade mehrere Stunden an mir

gezweifelt und dann einfach folgendes ausprobiert:

RegisterPropertyVariable("GroupProp1", m_prop1);

RegisterPropertyVariable("GroupProp2", m_prop2);

 Das funktioniert sofort. Ich habe im Anschluss auch auf mal alles kleingeschrieben. Also:

RegisterPropertyVariable("group/prop1", m_prop1);

RegisterPropertyVariable("group/prop2", m_prop2);

 Funktioniert auch nicht. Dann habe ich ADTF 3.3.3 heruntergeladen und musste feststellen: geht auch nicht.

Dummerweise habe ich nun so ca. 100 Properties auf diesem Wege angelegt.

Wann wird das funktionieren?

Lösung

Ist bekannt (ACORE-9397), ist bereits gefixt und kommt mit ADTF 3.4.0

History

#1 - 2018-11-26 15:31 - hidden

Timo Steinwender wrote:

Hallo,

in einem anderen Post hat mir Florian Roth vorgeschlagen meine Properties wie folgt anzulegen:

RegisterPropertyVariable("Group/Prop1", m_prop1);

RegisterPropertyVariable("Group/Prop2", m_prop2);

Leider werden in diesem Fall die Member m_prop1 und m_prop2 nicht aktualisiert. Ich habe gerade mehrere Stunden an mir gezweifelt und

dann einfach folgendes ausprobiert:

RegisterPropertyVariable("GroupProp1", m_prop1);

RegisterPropertyVariable("GroupProp2", m_prop2);

Das funktioniert sofort. Ich habe im Anschluss auch auf mal alles kleingeschrieben. Also:

RegisterPropertyVariable("Group/Prop1", m_prop1);

RegisterPropertyVariable("Group/Prop2", m_prop2);

 ich meinte natürlich:
RegisterPropertyVariable("group/prop1", m_prop1);

RegisterPropertyVariable("group/prop2", m_prop2);

Funktioniert auch nicht. Dann habe ich ADTF 3.3.3 heruntergeladen und musste feststellen: geht auch nicht.

Dummerweise habe ich nun so ca. 100 Properties auf diesem Wege angelegt.

Wann wird das funktionieren?

#2 - 2018-11-26 15:49 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to VW

#3 - 2018-11-26 15:50 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9397

Hallo Timo,

ist bekannt (ACORE-9397), ist bereits gefixt und kommt mit ADTF 3.4.0

#4 - 2018-12-03 09:25 - hidden

- Project changed from 20 to Public Support

- Subject changed from Properties  mit Namespaces wie z.B. Namespace/Value funktionieren nicht to Value is not updated for grouped

(sub)properties

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#5 - 2018-12-04 13:42 - hidden

- Status changed from To Be Closed to Closed
